﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.Loaded += new RoutedEventHandler(MainPage_Loaded);
		}

		void MainPage_Loaded(object sender, RoutedEventArgs e)
		{
			this.GenerateRadTileViewItems();
		}

		private void GenerateRadTileViewItems()
		{
			for (int i = 0; i < 5; i++)
			{
				RadTileViewItem item = new RadTileViewItem();
				item.Header = "Item " + i;
				item.Name = "item" + i;
				item.HeaderTemplate = this.Resources["TileViewItemHeaderTemplate"] as DataTemplate;
				this.tileView1.Items.Add(item);
			}
		}

		private void CloseButton_Click(object sender, RoutedEventArgs e)
		{
			RadTileViewItem tileViewItem = (sender as Button).ParentOfType<RadTileViewItem>();
			if(tileViewItem != null)
			{
				tileView1.Items.Remove(tileViewItem);				
			}
		}
	}
}
